---
- name: "Start Worker Node"
  shell: |
    sudo docker run -d \
    --privileged \
    --restart=unless-stopped \
    --net=host \
    -v /etc/kubernetes:/etc/kubernetes \
    -v /var/run:/var/run \
    {{agent_image}} \
    --server https://{{rancher_url}} \
    --token {{agent_token}} \
    --ca-checksum {{ca_checksum}} \
    --address {{ansible_ec2_public_ipv4}} \
    --internal-address {{ansible_ec2_local_ipv4}} \
    --worker \
    --label Environment={{Environment}} \
    --label Cluster={{Cluster}} \
    --label Node_Type={{Node_Type}} \
    --label Project_Name={{Project_Name}} \
    --label Lifecycle={{Lifecycle}}
